Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## samples.javaclient.analyzer
Class NewPresentationWizard

    java.lang.Object
      oracle.dss.datautil.gui.DefaultGuiContext
          oracle.dss.datautil.gui.DefaultComponentContext
              oracle.dss.datautil.gui.DefaultBuilderContext
                  oracle.dss.queryBuilder.QueryBuilder
                      samples.javaclient.analyzer.NewPresentationWizard

All Implemented Interfaces:
  oracle.dss.datautil.gui.BuilderContext, oracle.dss.datautil.gui.ComponentContext, oracle.dss.util.ErrorHandlerCallback, java.util.EventListener, oracle.dss.datautil.ExceptionListenerCallback, oracle.dss.datautil.gui.GuiContext, oracle.dss.selection.MetadataInfo, java.io.Serializable, oracle.bali.ewt.wizard.WizardListener

public class NewPresentationWizard
extends oracle.dss.queryBuilder.QueryBuilder
implements oracle.bali.ewt.wizard.WizardListener

Wizard for creating a new crosstab or graph. This wizard extends the QueryBuilder, adding a page for a user to select the type of presentation they want to create. If the user chooses to create a graph, this wizard also adds a page for a user to select a graph type.

This wizard uses JEWT wizard support.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class oracle.dss.datautil.gui.DefaultBuilderContext
``

Field Summary
`static int` | `CROSSTAB` View type: Crosstab.
`static int` | `GRAPH` View type: Graph.
`static java.lang.String` | `GRAPH_TYPE` ID for the Graph Type panel: "GraphType".
`static java.lang.String` | `GRAPH_TYPE_TITLE` Title for the Graph Type panel: "Choose a Graph Type".
`private oracle.dss.crosstab.Crosstab` | `m_crosstab` The crosstab that is being created.
`private oracle.dss.graph.Graph` | `m_graph` Graph that is being created.
`private oracle.dss.graph.gui.GraphType` | `m_graphType` The GraphType user-interface panel that appears in m_graphTypePanel.
`private GraphTypeWizardPanel` | `m_graphTypePanel` GraphType panel, which is added to the wizard if the user is creating a graph.
`private boolean` | `m_isGraphTypeVisible` Whether the GraphType panel is in the wizard.
`private PresentationTypePanel` | `m_prezType` Presentation Type panel, which is added to the QueryBuilder.
`private oracle.dss.dataSource.client.QueryManager` | `m_queryManager` The QueryManager for the application.
`private int` | `m_viewType` The type of view that is being created, either `CROSSTAB` or `GRAPH`.

Fields inherited from class oracle.dss.queryBuilder.QueryBuilder
`ADD, CONDITIONS, DEFAULT, DEFAULT_CONDITIONS, DEFAULT_FAVORITES, DEFAULT_MEMBERS, DEFAULT_PREVIEW, DEFAULT_SAVEDSELECTIONS, DEFAULT_STEPS, DIMENSION_PANEL_ID, DIMENSIONS, FAVORITES, HIDDEN_DIMENSIONS, HIDDEN_DIMENSIONS_PANEL_ID, ITEMS, ITEMS_PANEL_ID, KEEP, LAYOUT, LAYOUT_PANEL_ID, m_layoutAccess, m_qautil, MEMBERS, PREVIEW, REMOVE, SAVEDSELECTIONS, STEPS, WELCOME, WELCOME_PANEL_ID`

Fields inherited from class oracle.dss.datautil.gui.DefaultBuilderContext
`m_bShowShortCuts, m_bShowWelcomeNextTime, m_bTimeValueHierarchiesAllowed, m_builderContent, m_builderMode, m_builderResources, m_container, m_defaultPanelId, m_errorHandler, m_exceptionListener, m_helpProvider, m_locale, m_size, m_stepFilter, m_strLookAndFeel, m_strTitle`

Fields inherited from class oracle.dss.datautil.gui.DefaultComponentContext
`m_componentParent, m_nPopupItemCount, m_strDisplayLabelType, m_strDisplayMemberLabelType, m_vDimensionContext, m_vMeasureContext`

Fields inherited from class oracle.dss.datautil.gui.DefaultGuiContext
`m_metadataManager, m_parentFrame, m_queryContext`

Fields inherited from interface oracle.dss.datautil.gui.BuilderContext
`APPLY_MEASURE_FILTER, EVALUATE_MEASURE_DIMENSION, TABBED, WIZARD`

Constructor Summary
`NewPresentationWizard(java.awt.Frame f)` Constructor.

Method Summary
`oracle.dss.dataView.Dataview` | `getDataview()` Gets the presentation that the wizard creates.
`oracle.dss.dataSource.client.QueryManager` | `getQueryManager()` Gets the QueryManager for this wizard.
`int` | `getViewType()` Gets the type of view that this wizard creates.
`boolean` | `run()` Runs the wizard.
`void` | `setQueryManager(oracle.dss.dataSource.client.QueryManager qm)` Sets the QueryManager for this wizard.
`void` | `setViewType(int viewType)` Sets the type of view to create.
`void` | `wizardApplyState(oracle.bali.ewt.wizard.WizardEvent e)` Null implementation for the WizardListener interface.
`void` | `wizardCanceled(oracle.bali.ewt.wizard.WizardEvent e)` Null implementation for the WizardListener interface.
`void` | `wizardFinished(oracle.bali.ewt.wizard.WizardEvent e)` Handles the case where the user clicks the Finish button.
`void` | `wizardSelectionChanged(oracle.bali.ewt.wizard.WizardEvent e)` Handles page changes.

Methods inherited from class oracle.dss.queryBuilder.QueryBuilder
`addPanel, applyChanges, cleanUp, doApply, doCancel, doOK, getAvailableQueryAccess, getDefaultAction, getDefaultAvailableDimensionsPanel, getDefaultSelectedDimensionsPanel, getDimensionPanels, getFavoriteSearchPathNames, getFavoriteSearchPaths, getHiddenDimensionsPanel, getIntlString, getItemSearchPathNames, getItemSearchPaths, getItemsPanel, getLayoutAccess, getLayoutPanel, getLevelNameForOffset, getLevelNames, getLevelOffsetForName, getMainDialog, getMDObject, getObject, getPanelCount, getPanelList, getPersistableAttributes, getPersistableComponents, getQuery, getResourcesLocation, getSaveDialogSearchControls, getSavedSelectionSearchPathNames, getSavedSelectionSearchPaths, getSelectedQueryAccess, getStepViewManager, getTagName, getTitle, getViewLayoutPanel, getVisibleDimensionPanels, getVisibleDimensions, getVisiblePanels, getXML, getXMLAsString, hasLevels, initialize, initialize, initStepViews, isAbstractConditionsEnabled, isApplyAllowed, isCalculatedMeasuresCreationAllowed, isCalculatedValuesCreationAllowed, isCondenseMemberSteps, isConditionGroupingEnabled, isConditionsPanelVisible, isDimensionsPanelVisible, isDimensionVisible, isFavoriteCreationAllowed, isFavoritesPanelVisible, isHiddenDimensionsPanelVisible, isHierarchyVisible, isItemsPanelVisible, isLayoutPanelVisible, isManualSortAllowed, isMembersPanelVisible, isPreviewPanelVisible, isQualifierVariesAllowed, isQualifierVisible, isSaveAllowed, isSavedSelectionCreationAllowed, isSavedSelectionsPanelVisible, isSortAllowed, isStartCollapsed, isStepsPanelVisible, isVisible, isWelcomePanelVisible, removePanel, setAbstractConditionsEnabled, setApplyAllowed, setAvailableQueryAccess, setCalculatedMeasuresCreationAllowed, setCalculatedValuesCreationAllowed, setCondenseMemberSteps, setConditionGroupingEnabled, setDefaultAction, setDefaultAvailableDimensionsPanel, setDefaultSelectedDimensionsPanel, setDimensionPanels, setDimensionVisible, setFavoriteCreationAllowed, setFavoriteSearchPathNames, setFavoriteSearchPaths, setHasHiddenDimensions, setHierarchyVisible, setItemSearchPathNames, setItemSearchPaths, setLocale, setManualSortAllowed, setPersistableAttributes, setPersistableComponents, setQbMembers, setQualifierVariesAllowed, setQualifierVisible, setQuery, setQueryContext, setSaveAllowed, setSaveDialogSearchControls, setSavedSelectionCreationAllowed, setSavedSelectionSearchPathNames, setSavedSelectionSearchPaths, setSelectedQueryAccess, setSortAllowed, setStartCollapsed, setViewLayoutPanel, setVisible, setVisibleDimensionPanels, setVisibleDimensions, setVisiblePanels, setXML, setXMLAsString, updateBuilderResources, updateDimensionPanels`

Methods inherited from class oracle.dss.datautil.gui.DefaultBuilderContext
`addErrorHandler, addExceptionListener, getBuilderContent, getContainer, getCurrentDirectoryPath, getDefaultPanelId, getErrorHandler, getExceptionListener, getHelpProvider, getHomeDirectoryPath, getLocale, getLookAndFeel, getMode, getPanel, getSize, getStepFilter, isPanelVisible, isShowShortcuts, isShowWelcomeNextTime, isTimeValueHierarchiesAllowed, removeErrorHandler, removeExceptionListener, setBuilderContent, setContainer, setCurrentDirectoryPath, setDefaultPanelId, setHelpProvider, setHomeDirectoryPath, setLookAndFeel, setMode, setPanelVisible, setShowShortcuts, setShowWelcomeNextTime, setSize, setStepFilter, setTimeValueHierarchiesAllowed, setTitle`

Methods inherited from class oracle.dss.datautil.gui.DefaultComponentContext
`getDimensionContext, getDisplayLabelType, getDisplayMemberLabelType, getMeasureContext, getParent, getPopupItemCount, setDimensionContext, setDisplayLabelType, setDisplayMemberLabelType, setMeasureContext, setParent, setPopupItemCount`

Methods inherited from class oracle.dss.datautil.gui.DefaultGuiContext
`getMetadataManager, getParentFrame, getQueryContext, setMetadataManager, setParentFrame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.dss.selection.MetadataInfo
`getErrorHandler`

Methods inherited from interface oracle.dss.datautil.gui.ComponentContext
`getDimensionContext, getDisplayLabelType, getDisplayMemberLabelType, getMeasureContext, getParent, getPopupItemCount, setDimensionContext, setDisplayLabelType, setDisplayMemberLabelType, setMeasureContext, setParent, setPopupItemCount`

Methods inherited from interface oracle.dss.datautil.gui.GuiContext
`getMetadataManager, getParentFrame, getQueryContext, setMetadataManager, setParentFrame`

Field Detail

### m_graph

    private oracle.dss.graph.Graph m_graph

  Graph that is being created.

### m_graphTypePanel

    private GraphTypeWizardPanel m_graphTypePanel

  GraphType panel, which is added to the wizard if the user is creating a graph.

### m_graphType

    private oracle.dss.graph.gui.GraphType m_graphType

  The GraphType user-interface panel that appears in m_graphTypePanel.

### m_crosstab

    private oracle.dss.crosstab.Crosstab m_crosstab

  The crosstab that is being created.

### m_queryManager

    private oracle.dss.dataSource.client.QueryManager m_queryManager

  The QueryManager for the application.

### m_viewType

    private int m_viewType

  The type of view that is being created, either `CROSSTAB` or `GRAPH`.

### m_prezType

    private PresentationTypePanel m_prezType

  Presentation Type panel, which is added to the QueryBuilder. This panel prompts a user to specify whether to create a table or a crosstab.

### m_isGraphTypeVisible

    private boolean m_isGraphTypeVisible

  Whether the GraphType panel is in the wizard.

### CROSSTAB

    public static final int CROSSTAB

  View type: Crosstab.

  See Also:
    Constant Field Values

### GRAPH

    public static final int GRAPH

  View type: Graph.

  See Also:
    Constant Field Values

### GRAPH_TYPE

    public static final java.lang.String GRAPH_TYPE

  ID for the Graph Type panel: "GraphType".

  See Also:
    Constant Field Values

### GRAPH_TYPE_TITLE

    public static final java.lang.String GRAPH_TYPE_TITLE

  Title for the Graph Type panel: "Choose a Graph Type".

  See Also:
    Constant Field Values

Constructor Detail

### NewPresentationWizard

    public NewPresentationWizard(java.awt.Frame f)

  Constructor. `Analyzer.newPresentation()` calls this constructor, passing the Analyzer class as the frame.

Parameters:
  `f` - The parent frame for this wizard.

Method Detail

### run

    public boolean run()

  Runs the wizard. This method customizes the QueryBuilder by adding a new panel, where the user specifies whether to create a graph or a crosstab.

  After adding the panel to the QueryBuilder, it calls super.run() to run the QueryBuilder.

  Specified by:
    `run` in interface `oracle.dss.datautil.gui.BuilderContext`
  Returns:
    `true` if this wizard runs successfully, `false` if it does not.

### getDataview

    public oracle.dss.dataView.Dataview getDataview()

  Gets the presentation that the wizard creates.

  Returns:
    The presentation that the wizard creates, or null, if no presentation was created.

### setQueryManager

    public void setQueryManager(oracle.dss.dataSource.client.QueryManager qm)

  Sets the QueryManager for this wizard. This method also sets the MetadataManager on this wizard to be the MetadataManager that the QueryManager uses.

  The `Analyzer.newPresentation()` method calls this method when it instantiates the wizard. It passes the QueryManager from the `AnalyzerConnection` to this method.

  Parameters:
    `qm` - The QueryManager for this wizard.

### getQueryManager

    public oracle.dss.dataSource.client.QueryManager getQueryManager()

  Gets the QueryManager for this wizard.

  Returns:
    The QueryManager that this wizard uses.

### setViewType

    public void setViewType(int viewType)

  Sets the type of view to create.

  Parameters:
    `viewType` - A constant that represents the type of view to create. Valid constants are `CROSSTAB` and `GRAPH`.

### getViewType

    public int getViewType()

  Gets the type of view that this wizard creates.

  Returns:
    A constant that represents the type of view. Valid constants are `CROSSTAB` and `GRAPH`.

### wizardSelectionChanged

    public void wizardSelectionChanged(oracle.bali.ewt.wizard.WizardEvent e)

  Handles page changes. This method processes the navigation through the wizard. The QueryBuilder is based on the JEWT wizard framework. For more information, see the JEWT javadoc for details on the wizard's methods and events.

  If the user is creating a graph, then this method instantiates a graph and sets a Query on it. This method then adds a GraphType page to the wizard, before the layout panel. It also then sets the layout panel to be a graph layout panel.

  If the user is creating a crosstab, then this method instantiates a crosstab. This method does not add any panels in this case. It sets the layout panel to be a crosstab layout panel.

  This method shows how to add a panel to the QueryBuilder, and how to remove the panel if it is not necessary.

  Specified by:
    `wizardSelectionChanged` in interface `oracle.bali.ewt.wizard.WizardListener`
  Parameters:
    `e` - Information about the user's interaction in the wizard.

### wizardApplyState

    public void wizardApplyState(oracle.bali.ewt.wizard.WizardEvent e)

  Null implementation for the WizardListener interface.

  Specified by:
    `wizardApplyState` in interface `oracle.bali.ewt.wizard.WizardListener`

### wizardCanceled

    public void wizardCanceled(oracle.bali.ewt.wizard.WizardEvent e)

  Null implementation for the WizardListener interface.

  Specified by:
    `wizardCanceled` in interface `oracle.bali.ewt.wizard.WizardListener`

### wizardFinished

    public void wizardFinished(oracle.bali.ewt.wizard.WizardEvent e)

  Handles the case where the user clicks the Finish button. If the user is creating a graph, then this method sets the GraphType property on the graph.

  Specified by:
    `wizardFinished` in interface `oracle.bali.ewt.wizard.WizardListener`
  Parameters:
    `e` - Information about the user's interaction in the wizard.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD